<?php

namespace App\Http\Controllers\Api;

use App\Service\SysMenuService;
use Illuminate\Http\Request;

class SysMenuController extends BaseController
{
    public function add(Request $request)
    {
        $service = new SysMenuService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->add($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new SysMenuService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new SysMenuService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function menuList(Request $request)
    {
        $service = new SysMenuService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->menuList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function menuMove(Request $request){
        $service = new SysMenuService();
        list($status,$data) = $service->menuMove($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function menuExport(Request $request){
        $service = new SysMenuService();
        list($status,$data) = $service->export($request->all());

        if($status){
            return $this->json_return(200,'',['file'=>$data]);
        }else{
            return $this->json_return(201,$data);
        }
    }

    //获取文件的位置
    public function getExport($file_name){
        $path = storage_path() . "/app/public/export/".$file_name;
        return response()->file($path)->deleteFileAfterSend(true);
    }
}
